> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Settings

> Get the invoice settings for the given location



## OpenAPI

````yaml /api-reference/invoices/openapi.json get /invoices/settings
openapi: 3.0.0
info:
  title: Invoice API
  description: Documentation for invoice API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Invoice
    description: Documentation for invoice API
  - name: Template
    description: Documentation for invoice API
  - name: Schedule
    description: Documentation for invoice API
  - name: Text2Pay
    description: Documentation for invoice API
  - name: Estimate
    description: Documentation for invoice API
paths:
  /invoices/settings:
    get:
      tags:
        - Invoice
      summary: Get Invoice Settings
      description: Get the invoice settings for the given location
      operationId: get-invoice-settings
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvoiceSettingsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - invoices.readonly
        - Agency-Access:
            - invoices.readonly
components:
  schemas:
    GetInvoiceSettingsResponseDto:
      type: object
      properties:
        altId:
          type: string
          description: Sub-Account Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          description: Alt Type
          enum:
            - location
          example: location
        termsNote:
          type: string
          description: Terms and conditions for invoices
          example: Payment is due within 30 days.
        estimatesTermsNote:
          type: string
          description: Terms and conditions for estimates
          example: This estimate is valid for 30 days.
        title:
          type: string
          description: Title for invoices
          example: INVOICE
          maxLength: 40
        estimatesTitle:
          type: string
          description: Title for estimates
          example: ESTIMATE
          maxLength: 40
        invoiceNumberPrefix:
          type: string
          description: Prefix for invoice numbers
          example: INV-
          maxLength: 10
        estimateNumberPrefix:
          type: string
          description: Prefix for estimate numbers
          example: EST-
          maxLength: 10
        dueAfterXDays:
          type: number
          description: Number of days after which invoice is due
          example: 30
        estimatesExpireAfterXDays:
          type: number
          description: Number of days after which estimate expires
          example: 30
        minimumPercentagePartialPayment:
          type: number
          description: Minimum percentage for partial payment
          example: 25
        customFields:
          description: Custom fields array
          example:
            - 6578278e879ad2646715baxc
            - 6901e9fb77ac4d701ba0b996
          maxItems: 3
          type: array
          items:
            type: string
        customNotification:
          $ref: '#/components/schemas/CustomNotificationDto'
        businessDetails:
          $ref: '#/components/schemas/InvoiceSettingsBusinessDetailsDto'
        senderConfiguration:
          $ref: '#/components/schemas/InvoiceSettingsSenderConfigurationDto'
        productSettings:
          $ref: '#/components/schemas/InvoiceProductSettingsDto'
        reminderSettings:
          $ref: '#/components/schemas/ReminderSettingsDto'
        lateFeesConfiguration:
          $ref: '#/components/schemas/LateFeesConfigurationDto'
        tipsConfiguration:
          $ref: '#/components/schemas/TipsConfigurationDto'
        paymentMethods:
          $ref: '#/components/schemas/PaymentMethodDto'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    CustomNotificationDto:
      type: object
      properties:
        customerSendInvoice:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamPaymentSuccess:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerPaymentSuccess:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamAutoPaymentSuccess:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerAutoPaymentSuccess:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamPaymentFailure:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerPaymentFailure:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamAutoPaymentFailure:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerAutoPaymentFailure:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerAutoPaymentInfo:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerAutoPaymentAmountChanged:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamAutoPaymentSkip:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamRecurringSendInvoiceFailed:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        customerSendEstimate:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamEstimateAccepted:
          $ref: '#/components/schemas/CustomNotificationItemDto'
        teamEstimateDeclined:
          $ref: '#/components/schemas/CustomNotificationItemDto'
      required:
        - customerSendInvoice
        - teamPaymentSuccess
        - customerPaymentSuccess
        - teamAutoPaymentSuccess
        - customerAutoPaymentSuccess
        - teamPaymentFailure
        - customerPaymentFailure
        - teamAutoPaymentFailure
        - customerAutoPaymentFailure
        - customerAutoPaymentInfo
        - customerAutoPaymentAmountChanged
        - teamAutoPaymentSkip
        - teamRecurringSendInvoiceFailed
        - customerSendEstimate
        - teamEstimateAccepted
        - teamEstimateDeclined
    InvoiceSettingsBusinessDetailsDto:
      type: object
      properties:
        logoUrl:
          type: string
        name:
          type: string
        phoneNo:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        website:
          type: string
        customValues:
          type: array
          items:
            type: string
      required:
        - name
    InvoiceSettingsSenderConfigurationDto:
      type: object
      properties:
        fromName:
          type: string
          description: Sender name to be used while sending email notification
          example: Alex
        fromEmail:
          type: string
          description: Email id to be used while sending email notification
          example: alex@example.com
    InvoiceProductSettingsDto:
      type: object
      properties:
        enableImportProductDescription:
          type: boolean
          description: Flag indicating if the product description import is enabled or not
          example: true
        descriptionOptional:
          type: boolean
          description: Flag indicating if the product description is optional or not
          example: true
    ReminderSettingsDto:
      type: object
      properties:
        defaultEmailTemplateId:
          type: string
          description: default template Id of reminder
          example: dhwjqi2899012990w2u
        reminders:
          description: List of reminders
          type: array
          items:
            $ref: '#/components/schemas/ReminderDto'
      required:
        - defaultEmailTemplateId
        - reminders
    LateFeesConfigurationDto:
      type: object
      properties:
        enable:
          type: boolean
          description: Enable late fees
          example: true
        value:
          type: number
          description: Late Fees Value
          example: 10
        type:
          type: string
          description: Late Fees Type
          example: fixed
          enum:
            - fixed
            - percentage
        frequency:
          $ref: '#/components/schemas/LateFeesFrequencyDto'
        grace:
          $ref: '#/components/schemas/LateFeesGraceDto'
        maxLateFees:
          $ref: '#/components/schemas/LateFeesMaxFeesDto'
      required:
        - enable
        - value
        - type
        - frequency
    TipsConfigurationDto:
      type: object
      properties:
        tipsPercentage:
          description: Percentage of tips allowed
          example:
            - 5
            - 10
            - 15
          type: array
          items:
            type: string
        tipsEnabled:
          type: boolean
          description: Tips enabled status
          example: true
      required:
        - tipsPercentage
        - tipsEnabled
    PaymentMethodDto:
      type: object
      properties:
        stripe:
          $ref: '#/components/schemas/StripePaymentMethodDto'
      required:
        - stripe
    CustomNotificationItemDto:
      type: object
      properties:
        enabled:
          type: boolean
          description: Flag indicating if the notification is enabled or not
        emailTemplate:
          type: string
          description: Template to be used for sending email
        smsTemplate:
          type: string
          description: Template to be used for sending sms
        fromName:
          type: string
          description: Name to be used while sending email
          example: Alex
        fromEmail:
          type: string
          description: Email address to be used for sending email
          example: alex@example.com
        emailSubject:
          type: string
          description: Subject of email which is sent out
          example: Thank you for purchasing
        defaultEmailTemplateId:
          type: string
          description: Default email TemplateId to be used for sending via email
          example: dhwjqi2899012990w2u
      required:
        - enabled
        - emailTemplate
        - smsTemplate
    Address:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        city:
          type: string
        state:
          type: string
        countryCode:
          type: string
          enum:
            - AF
            - AX
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - XK
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - AN
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - MF
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SX
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - GB
            - UA
            - AE
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
        postalCode:
          type: string
    ReminderDto:
      type: object
      properties:
        enabled:
          type: boolean
          description: Flag indicating if the reminder is enabled or not
          example: true
        emailTemplate:
          type: string
          description: Email template to be used for sending reminders
          example: default
        smsTemplate:
          type: string
          description: SMS template to be used for sending reminders
          example: default
        emailSubject:
          type: string
          description: Subject of the reminder
          example: Reminder
        reminderId:
          type: string
          description: Unique identifier for the reminder
          example: 9333e45f-a27d-4659-90e5-76c5ef06d094
        reminderName:
          type: string
          description: Name of the reminder
          example: Special Reminder
        reminderTime:
          type: string
          description: Time condition for the reminder
          example: before
          enum:
            - before
            - after
        intervalType:
          type: string
          description: Interval type for the reminder
          example: daily
          enum:
            - yearly
            - monthly
            - weekly
            - daily
            - hourly
            - minutely
            - secondly
        maxReminders:
          type: number
          description: Maximum number of reminders that can be sent
          example: 3
        reminderInvoiceCondition:
          type: string
          description: Condition for sending the reminder
          example: invoice_sent
          enum:
            - invoice_sent
            - invoice_overdue
        reminderNumber:
          type: number
          description: frequency gap of the reminder to exeucte
          example: 10
        startTime:
          type: string
          description: Business Hour Start Time
          example: 9:00 AM
        endTime:
          type: string
          description: Business Hour End Time
          example: 5:00 PM
        timezone:
          type: string
          description: Timezone at which reminder will be sent
          example: businessTZ
      required:
        - enabled
        - emailTemplate
        - smsTemplate
        - emailSubject
        - reminderId
        - reminderName
        - reminderTime
        - intervalType
        - maxReminders
        - reminderInvoiceCondition
        - reminderNumber
    LateFeesFrequencyDto:
      type: object
      properties:
        intervalCount:
          type: number
          description: Late fees interval count
          example: 10
        interval:
          type: string
          description: Late fees interval
          example: day
          enum:
            - minute
            - hour
            - day
            - week
            - month
            - one_time
      required:
        - intervalCount
        - interval
    LateFeesGraceDto:
      type: object
      properties:
        intervalCount:
          type: number
          description: Late fees grace interval count
          example: 10
        interval:
          type: string
          description: Late fees grace interval
          example: day
          enum:
            - day
      required:
        - intervalCount
        - interval
    LateFeesMaxFeesDto:
      type: object
      properties:
        type:
          type: string
          example: fixed
          enum:
            - fixed
        value:
          type: number
          example: '10'
          description: Max late fees to pay
      required:
        - type
        - value
    StripePaymentMethodDto:
      type: object
      properties:
        enableBankDebitOnly:
          type: boolean
          description: Enable Bank Debit Only
          example: false
      required:
        - enableBankDebitOnly

````